#! /usr/bin/env python2
# -*- coding: utf-8 -*-
"""
Replacement (unofficial) `setup.py` for the `mrp_operations` module.
Automatically generated by `openerpdist`. See http://noteed.com/openerpdist/.
"""

import setuptools

setuptools.setup(
    name = "openerp-mrp-operations",
    version = "7.0.406",
    description = "Manufacturing Operations",
    long_description = 
"""

This module adds state, date_start, date_stop in manufacturing order operation lines (in the 'Work Orders' tab).
================================================================================================================

Status: draft, confirm, done, cancel
When finishing/confirming, cancelling manufacturing orders set all state lines
to the according state.

Create menus:
-------------
    **Manufacturing** > **Manufacturing** > **Work Orders**

Which is a view on 'Work Orders' lines in manufacturing order.

Add buttons in the form view of manufacturing order under workorders tab:
-------------------------------------------------------------------------
    * start (set state to confirm), set date_start
    * done (set state to done), set date_stop
    * set to draft (set state to draft)
    * cancel set state to cancel

When the manufacturing order becomes 'ready to produce', operations must
become 'confirmed'. When the manufacturing order is done, all operations
must become done.

The field 'Working Hours' is the delay(stop date - start date).
So, that we can compare the theoretic delay and real delay. 
    
""",
    url = "http://www.openerp.com",
    author = "OpenERP SA",
    author_email = "TODO",
    classifiers = [
        "Development Status :: 5 - Production/Stable",
        "Environment :: Plugins",
        "Intended Audience :: Developers",
        "License :: OSI Approved :: GNU Affero General Public License v3",
        "Natural Language :: English",
        "Programming Language :: Python :: 2.7",
        "Programming Language :: Python :: Implementation :: CPython",
    ],
    license = "AGPL-3",
    package_dir = {
        'openerp.addons.mrp_operations': ".",
    },
    packages = ["openerp.addons.mrp_operations","openerp.addons.mrp_operations.report"],
    package_data = {
        'openerp.addons.mrp_operations': ["i18n/*.po*","mrp_operations_workflow_instance.xml","mrp_operation_data.xml","mrp_operations_demo.yml","mrp_operations_workflow.xml","mrp_operations_report.xml","mrp_operations_view.xml","images/work_order.jpeg","images/work_order_analysis.jpeg","images/work_order_planning.jpeg","i18n/id.po","i18n/hr.po","i18n/da.po","i18n/sl.po","i18n/es_MX.po","i18n/ru.po","i18n/zh_TW.po","i18n/cs.po","i18n/sq.po","i18n/fi.po","i18n/pt_BR.po","i18n/ko.po","i18n/bg.po","i18n/es_VE.po","i18n/tlh.po","i18n/ja.po","i18n/ro.po","i18n/es_AR.po","i18n/hi.po","i18n/sr@latin.po","i18n/es.po","i18n/mn.po","i18n/it.po","i18n/nl.po","i18n/sv.po","i18n/es_EC.po","i18n/uk.po","i18n/bs.po","i18n/tr.po","i18n/de.po","i18n/et.po","i18n/sr.po","i18n/lt.po","i18n/hu.po","i18n/vi.po","i18n/lv.po","i18n/mk.po","i18n/ca.po","i18n/fr.po","i18n/zh_CN.po","i18n/pl.po","i18n/nl_BE.po","i18n/ar.po","i18n/pt.po","i18n/es_CR.po","test/workcenter_operations.yml","security/ir.model.access.csv","report/mrp_code_barcode.rml","report/mrp_workorder_analysis_view.xml","report/mrp_wc_barcode.rml","process/mrp_operation_process.xml","security/ir.model.access.csv","mrp_operation_data.xml","mrp_operations_workflow.xml","mrp_operations_view.xml","mrp_operations_report.xml","report/mrp_workorder_analysis_view.xml","process/mrp_operation_process.xml","mrp_operations_workflow_instance.xml","mrp_operations_demo.yml"],
    },
    install_requires = ["openerp-mrp"],
    tests_require = ["unittest2"],
)
